﻿using System.Collections.Generic;

namespace CallQueueStrategies.CallQueue
{
    class CallQueueHandlerContainer
    {
        List<CallQueueCallHandler> callQueueCallHandlers;

        public CallQueueHandlerContainer()
        {
            callQueueCallHandlers = new List<CallQueueCallHandler>();    
        }

        public void Add(CallQueueCallHandler callHandler)
        {
            callQueueCallHandlers.Add(callHandler);
        }

        public int Count()
        {
            return callQueueCallHandlers.Count;
        }

        public int GetIndex(CallQueueCallHandler callHandler)
        {
            return callQueueCallHandlers.IndexOf(callHandler);
        }

        public void Remove(CallQueueCallHandler callHandler)
        {
            callQueueCallHandlers.Remove(callHandler);
        }

        public CallQueueCallHandler Next()
        {
            if (callQueueCallHandlers.Count == 0)
                return null;
            return callQueueCallHandlers[0];
        }
    }
}
